from django.urls import path
from . import views
from .views import *

from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
	path('home', home, name="homepage"), 
	path('homepage', home, name="homepage"), 
	path('key', HomeKeyView.as_view(), name="key"),
	path('add_keypost/', AddKeyView.as_view(), name='add_keypost'),
	path('key/edit/<int:pk>', UpdateKeyView.as_view(), name='update_keypost'),
	path('key/<int:pk>/remove', DeleteKeyView.as_view(), name='delete_keypost'),
	
	path('week', HomeWeekView.as_view(), name="week"),
	path('add_weekpost/', AddWeekView.as_view(), name='add_weekpost'),
	path('week/edit/<int:pk>', UpdateWeekView.as_view(), name='update_weekpost'),
	path('week/<int:pk>/remove', DeleteWeekView.as_view(), name='delete_weekpost'),
		
	path('profile', HomeProfileView.as_view(), name="profile"),
	path('add_profilepost/', AddProfileView.as_view(), name='add_profilepost'),
	path('profile/edit/<int:pk>', UpdateProfileView.as_view(), name='update_profilepost'),
	path('profile/<int:pk>/remove', DeleteProfileView.as_view(), name='delete_profilepost'),
	
	path('today', HomeTodayView.as_view(), name="today"),
	path('add_todaypost/', AddTodayView.as_view(), name='add_todaypost'),
	path('today/edit/<int:pk>', UpdateTodayView.as_view(), name='update_todaypost'),
	path('today/<int:pk>/remove', DeleteTodayView.as_view(), name='delete_todaypost'),
	
	]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
	
	
